%global collection_namespace community
%global collection_name general

Name:           ansible-collection-%{collection_namespace}-%{collection_name}
Version:        4.8.0
Release:        1%{?dist}
Summary:        Modules and plugins supported by Ansible community

# plugins/module_utils/_mount.py: Python Software Foundation License version 2
# plugins/module_utils/identity/keycloak/keycloak.py: BSD 2-clause "Simplified" License
License:        GPLv3+ and BSD and Python
URL:            %{ansible_collection_url}
Source:         https://github.com/ansible-collections/community.general/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  ansible-packaging

BuildArch:      noarch

%description
%{summary}.

%prep
%autosetup -n community.general-%{version}
rm -vr .github .azure-pipelines
find -type f ! -executable -name '*.py' -print -exec sed -i -e '1{\@^#!.*@d}' '{}' +
find -type f -name '.gitignore' -print -delete

%build
%ansible_collection_build

%install
%ansible_collection_install
rm -vr %{buildroot}%{ansible_collection_files}/%{collection_name}/tests

%files
%license COPYING
%doc README.md CHANGELOG.rst
%{ansible_collection_files}

%changelog
* Wed Apr 27 2022 Maxwell G <gotmax@e.email> - 4.8.0-1
- Update to 4.8.0.

* Tue Apr 05 2022 Maxwell G <gotmax@e.email> - 4.7.0-1
- Update to 4.7.0. Fixes rhbz#2072281.

* Tue Mar 22 2022 Maxwell G <gotmax@e.email> - 4.6.1-1
- Update to 4.6.1. Fixes rhbz#2064712.

* Tue Feb 22 2022 Maxwell G <gotmax@e.email> - 4.5.0-1
- Update to 4.5.0.

* Wed Feb 02 2022 Maxwell G <gotmax@e.email> - 4.4.0-1
- Update to 4.4.0. Fixes rhbz#2049667.

* Mon Jan 24 2022 Maxwell G <gotmax@e.email> - 4.3.0-3
- Migrate to new ansible-packaging package.

* Wed Jan 19 2022 Fedora Release Engineering <releng@fedoraproject.org> - 4.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Jan 11 2022 Maxwell G <gotmax@e.email> - 4.3.0-1
- Update to 4.3.0.

* Tue Dec 21 2021 Maxwell G <gotmax@e.email> - 4.2.0-1
- Update to 4.2.0. Fixes rhbz#2034691.

* Tue Nov 23 2021 Maxwell G <gotmax@e.email> - 4.1.0-1
- Update to 4.1.0. Fixes rhbz#2025969.
- Fix licensing

* Tue Nov 16 2021 Maxwell G <gotmax@e.email> - 4.0.2-1
- Update to 4.0.2. Fixes rhbz#2023894

* Tue Nov 9 2021 Maxwell G <gotmax@e.email> - 4.0.1-1
- Update 4.0.1. Fixes rhbz#2021679.

* Wed Nov 03 2021 Sagi Shnaidman (@sshnaidm) <sshnaidm@redhat.com> - 4.0.0-1
- Update to 4.0.0

* Tue Oct 12 2021 Maxwell G (@gotmax23) <gotmax@e.email - 3.8.0-1
- Update to 3.8.0. Fixes rhbz#2013282

* Sat Sep 25 2021 Kevin Fenzi <kevin@scrye.com> - 3.7.0-1
- Update to 3.7.0. Fixes rhbz#1999899

* Thu Sep 23 2021 Alfredo Moralejo <amoralej@redhat.com> - 3.5.0-2
- Use ansible or ansible-core as BuildRequires

* Wed Aug 11 2021 Kevin Fenzi <kevin@scrye.com> - 3.5.0-1
- Update to 3.5.0. Fixes rhbz#1992481

* Wed Aug 4 2021 Maxwell G <gotmax@e.email> - 3.4.0-1
- Update to 3.4.0. Fixes rhbz#1983969 .

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 3.3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sat Jul 10 2021 Kevin Fenzi <kevin@scrye.com> - 3.3.2-1
- Update to 3.3.2. Fixes rhbz#1977438

* Tue Jun 08 2021 Kevin Fenzi <kevin@scrye.com> - 3.2.0-1
- Update to 3.2.0. Fixes rhbz#1969570

* Sat May 29 2021 Kevin Fenzi <kevin@scrye.com> - 3.1.0-2
- Fix sed issue that caused python33 to be required.

* Sat May 29 2021 Kevin Fenzi <kevin@scrye.com> - 3.1.0-1
- Update to 3.1.0. Fixes rhbz#1957092

* Tue May 11 2021 Kevin Fenzi <kevin@scrye.com> - 3.0.2-1
- Update to 3.0.2. Fixes rhbz#1957092

* Wed May 05 2021 Kevin Fenzi <kevin@scrye.com> - 3.0.1-1
- Update to 3.0.1. Fixes rhbz#1957092

* Tue Apr 27 2021 Kevin Fenzi <kevin@scrye.com> - 3.0.0-1
- Update to 3.0.0. Fixes rhbz#1953895

* Sat Apr 24 2021 Kevin Fenzi <kevin@scrye.com> - 2.5.1-1
- Update to 2.5.1.

* Thu Feb 04 2021 Igor Raits <ignatenkobrain@fedoraproject.org> - 2.0.0-1
- Update to 2.0.0

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sat Jan 16 2021 Kevin Fenzi <kevin@scrye.com> - 1.3.1-2
- Rebuild against new ansible-generator and allow usage by ansible-base-2.10.x

* Tue Dec 29 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 1.3.1-1
- Update to 1.3.1

* Sun Aug 09 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 1.0.0-1
- Initial package
